Revoke an API key for the current organization.
Revoke an API key for the current organization — Competitor Tracker & Co. API reference for DELETE /v1/api-keys/{id}: request parameters, request body.
Required role: member or higher (organization-level).
Required scope: account:write (for both OAuth2 tokens and API keys).
X-API-Key<token>
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
curl -X DELETE "https://api.competitortracker.io/v1/api-keys/0190f3c1-7a2b-7c3d-8e4f-1a2b3c4d5e6f"Empty
{
"code": "string",
"message": "string",
"resolution": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}Create an API key for the current organization. POST
Create an API key for the current organization — Competitor Tracker & Co. API reference for POST /v1/api-keys: request parameters, request body, response.
Rotate an API key's secret for the current organization. POST
Rotate an API key's secret for the current organization — Competitor Tracker & Co. API reference for POST /v1/api-keys/{id}/regenerate: request parameters.